<h1 align="center">
    <img src="img/favicon.ico" height="64">
    <br/>
    <b>Hex: Unlocked</b>
</h1>

<p align="center">
    A Dead By Daylight inventory manager <b> for educational purposes</b>.
</p>

---
## Table of Contents
* [Installation & usage](#installation--usage)
* [Building](#building)

## Installation & usage

> [!WARNING]  
> This goes against the Behaviour's Terms of Service. Although unlikely, there is a definite risk of ban.

### 1. Requirements
* **Dead By Daylight**: Xbox PC version or *Epic Games version **(untested)***
* **Operating System**: Windows 10 or 11 (64-bit)

### 2. Usage
1. Download the latest `hex-unlocked.exe` from the [Releases](../../releases) tab.
2. Run the exe before the game is running.
3. Configure your profile using the [site](https://dbd.neru.rip/).
4. Run the game.

> [!NOTE]
> If you're missing items, open the Bloodweb, wait for it to load, and the inventory should be applied once again.

## Building
This project uses CMake and requires a C++20 compatible compiler. 

### Prerequisites
* CMake 3.25.0 or higher
* Visual Studio 2022 or higher (with C++ desktop development) OR MinGW-w64
* .NET SDK (if building with the optional Dumper enabled)

### Visual Studio (Recommended for Windows)
The easiest way to get started on Windows is to run the included PowerShell script. It will generate the Visual Studio solution and open it automatically:
```powershell
.\create-project.ps1
```

### MinGW (Linux Cross-Compile)
If you want to cross-compile using MinGW on Linux, you can configure and build using Ninja:
```bash
cmake -B proj -S . -G Ninja \
  -DCMAKE_SYSTEM_NAME=Windows \
  -DCMAKE_C_COMPILER=x86_64-w64-mingw32-gcc \
  -DCMAKE_CXX_COMPILER=x86_64-w64-mingw32-g++ \
  -DCMAKE_RC_COMPILER=x86_64-w64-mingw32-windres

cmake --build proj --target hex-unlocked
```